SpecializationUtil.registerSpecialization("dustWheels", "DustWheels", g_currentModDirectory.."DustWheels.lua")

DustWheels_Register = {};

local dsw_directory = g_currentModDirectory;

function DustWheels_Register:loadMap(name)
	if self.firstRun == nil then
		self.firstRun = false;
		
		print("--- loading DustWheels - specialization (by fruktor, www.eifok-team.de)");
		
		for k, v in pairs(VehicleTypeUtil.vehicleTypes) do
			if v ~= nil then
				for i = 1, table.maxn(v.specializations) do
					local vs = v.specializations[i];
					if vs ~= nil and 
						( vs == SpecializationUtil.getSpecialization("attachable")  or 
						  vs == SpecializationUtil.getSpecialization("steerable") )  then
						  
						local v_name_string = v.name 
						local point_location = string.find(v_name_string, ".", nil, true)

						local allowInsertion = true;
						if point_location ~= nil then
							local _name = string.sub(v_name_string, 1, point_location-1);
							if rawget(SpecializationUtil.specializations, string.format("%s.DrivingParticleSystem", _name)) ~= nil then
								allowInsertion = false;
								--print(tostring(v.name)..": Specialization DrivingParticleSystem is present! DustWheels was not inserted!");
							end;
							if rawget(SpecializationUtil.specializations, string.format("%s.drivingPS", _name)) ~= nil then
								allowInsertion = false;
								--print(tostring(v.name)..": Specialization drivingPS is present! DustWheels was not inserted!");
							end;							
							if rawget(SpecializationUtil.specializations, string.format("%s.drivingParticleSystem", _name)) ~= nil then
								allowInsertion = false;
								--print(tostring(v.name)..": Specialization drivingParticleSystem is present! DustWheels was not inserted!");
							end;						
						
						end;
						
						if allowInsertion then
							table.insert(v.specializations, SpecializationUtil.getSpecialization("dustWheels"));
							vs.dsw_directory = dsw_directory;
							--print("adding DustWheels to:"..tostring(v.name));
						end;
						
						break;
						
					end;
				end;
			end;	
		end;
	end;
end;

function DustWheels_Register:deleteMap()
  
end;

function DustWheels_Register:keyEvent(unicode, sym, modifier, isDown)

end;

function DustWheels_Register:mouseEvent(posX, posY, isDown, isUp, button)

end;

function DustWheels_Register:update(dt)
	
end;

function DustWheels_Register:draw()
  
end;

addModEventListener(DustWheels_Register);